Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef.xml
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef.xml	(revision 4100)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef.xml	(revision 4345)
@@ -128,6 +128,5 @@
 	</file>
 
-
-	<file id="file7" name_suffix="_scalar" description="scalar variables" >
+        <file id="file7" name_suffix="_scalar" description="scalar variables" >
           <field field_ref="voltot"       name="scvoltot"  />
           <field field_ref="sshtot"       name="scsshtot"  />
@@ -137,47 +136,47 @@
           <field field_ref="temptot"      name="sctemtot"  />
           <field field_ref="saltot"       name="scsaltot"  />
-	
-          <!-- available with ln_diahsb -->
-	  <field field_ref="bgtemper"     name="bgtemper"    />
-	  <field field_ref="bgsaline"     name="bgsaline"    />
-	  <field field_ref="bgheatco"     name="bgheatco"    />
-	  <field field_ref="bgsaltco"     name="bgsaltco"    />
-	  <field field_ref="bgvolssh"     name="bgvolssh"    />
-	  <field field_ref="bgvoltot"     name="bgvoltot"    />
-	  <field field_ref="bgsshtot"     name="bgsshtot"    />
-	  <field field_ref="bgfrcvol"     name="bgfrcvol"    />
-	  <field field_ref="bgfrctem"     name="bgfrctem"    />
-	  <field field_ref="bgfrcsal"     name="bgfrcsal"    />
-	  <!-- available with ln_limdiahsb -->
-	  <field field_ref="ibgvoltot"    name="ibgvoltot"   />
-	  <field field_ref="sbgvoltot"    name="sbgvoltot"   />
-	  <field field_ref="ibgarea"      name="ibgarea"     />
-	  <field field_ref="ibgsaline"    name="ibgsaline"   />
-	  <field field_ref="ibgtemper"    name="ibgtemper"   />
-	  <field field_ref="ibgheatco"    name="ibgheatco"   />
-	  <field field_ref="ibgsaltco"    name="ibgsaltco"   />
-	  <field field_ref="sbgheatco"    name="sbgheatco"   />
-	  <field field_ref="ibgfrcsfx"    name="ibgfrcsfx"  />
-	  <field field_ref="ibgfrcemp"    name="ibgfrcemp"   />
-	  <field field_ref="ibgsfx"       name="ibgsfx"     />
-	  <field field_ref="ibgemp"       name="ibgemp"      />
-	  <field field_ref="ibgsfxbri"    name="ibgsfxbri"    />
-	  <field field_ref="ibgsfxthd"    name="ibgsfxthd"    />
-	  <field field_ref="ibgsfxres"    name="ibgsfxres" />
-	  <field field_ref="ibgsfxmec"    name="ibgsfxmec" />
-	  <field field_ref="ibggrpme"     name="ibggrpme"    />
-
-	</file>
-
-	<!--
-	<file id="file8" name_suffix="_Tides" description="tidal harmonics" >
-	  <field field_ref="M2x"          name="M2x"      long_name="M2 Elevation harmonic real part"                       />
-	  <field field_ref="M2y"          name="M2y"      long_name="M2 Elevation harmonic imaginary part"                  />
-	  <field field_ref="M2x_u"        name="M2x_u"    long_name="M2 current barotrope along i-axis harmonic real part "       />
-	  <field field_ref="M2y_u"        name="M2y_u"    long_name="M2 current barotrope along i-axis harmonic imaginary part "  />
-	  <field field_ref="M2x_v"        name="M2x_v"    long_name="M2 current barotrope along j-axis harmonic real part "       />
-	  <field field_ref="M2y_v"        name="M2y_v"    long_name="M2 current barotrope along j-axis harmonic imaginary part "  />
-	</file>
-	-->
+
+          <field field_ref="bgtemper"     name="bgtemper"    />
+          <field field_ref="bgsaline"     name="bgsaline"    />
+          <field field_ref="bgheatco"     name="bgheatco"    />
+          <field field_ref="bgsaltco"     name="bgsaltco"    />
+          <field field_ref="bgvolssh"     name="bgvolssh"    /> 
+          <field field_ref="bgvole3t"     name="bgvole3t"    />
+          <field field_ref="bgfrcvol"     name="bgfrcvol"    />
+          <field field_ref="bgfrctem"     name="bgfrctem"    />
+          <field field_ref="bgfrcsal"     name="bgfrcsal"    />
+          <field field_ref="bgmistem"     name="bgmistem"    />
+          <field field_ref="bgmissal"     name="bgmissal"    />
+        </file>
+
+        <file id="file8" name_suffix="_SBC_scalar" description="scalar variables" >
+          <field field_ref="ibgvoltot"    name="ibgvoltot"   />
+          <field field_ref="sbgvoltot"    name="sbgvoltot"   />
+          <field field_ref="ibgarea"      name="ibgarea"     />
+          <field field_ref="ibgsaline"    name="ibgsaline"   />
+          <field field_ref="ibgtemper"    name="ibgtemper"   />
+          <field field_ref="ibgheatco"    name="ibgheatco"   />
+          <field field_ref="sbgheatco"    name="sbgheatco"   />
+          <field field_ref="ibgsaltco"    name="ibgsaltco"   />
+
+          <field field_ref="ibgemp"       name="ibgemp"      />
+          <field field_ref="ibgempbog"    name="ibgempbog"      />
+          <field field_ref="ibgemplag"    name="ibgemplag"      />
+          <field field_ref="ibgempsig"    name="ibgempsig"      />
+          <field field_ref="ibgempdyg"    name="ibgempdyg"      />
+          <field field_ref="ibgempbom"    name="ibgempbom"      />
+          <field field_ref="ibgempsum"    name="ibgempsum"      />
+          <field field_ref="ibgempres"    name="ibgempres"      />
+
+          <field field_ref="ibgsfx"       name="ibgsfx"     />
+          <field field_ref="ibgsfxbri"    name="ibgsfxbri"    />
+          <field field_ref="ibgsfxthd"    name="ibgsfxthd"    />
+          <field field_ref="ibgsfxmec"    name="ibgsfxmec" />
+          <field field_ref="ibgsfxres"    name="ibgsfxres" />
+
+          <field field_ref="ibgfrcvol"    name="ibgfrcvol"   />
+          <field field_ref="ibgfrcsfx"    name="ibgfrcsfx"  />
+          <field field_ref="ibggrme"      name="ibggrme"    />
+        </file>
 
       </file_group>