Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 4394)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 4395)
@@ -338,5 +338,5 @@
 ;  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: MARCH'
 ;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_march_1, Ithi_march_2, /ARC, /MARCH, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: APRIL'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ARC, /APRIL, _extra = ex
@@ -347,5 +347,5 @@
 ;  cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: MARCH'
 ;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_march_1, Ithi_march_2, /ANT, /MARCH, _extra = ex
-
+; 
   cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: APRIL'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ANT, /APRIL, _extra = ex
@@ -385,41 +385,41 @@
 ;SF  cnt = cnt+1   &   blabla = 'Antarctic Ice Extend: '
 ;SF  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceExt, Ifra_1, Ifra_2, masknp, /ANT,  _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Global (no Med)'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'GloNoMed', _extra = ex
- 
+;  
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Atlantic'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'Atl', _extra = ex
- 
+ ;
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Indian'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'Ind', _extra = ex
- 
+ ;
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Indo-Pacific'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'IndoPac', _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Equatorial Temperature'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_EqT, T1, T2, Tlev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Equatorial Salinity'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_EqS, S1, S2, SLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Equatorial zonal velocity'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_EqU, U1, U2, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Mediterranean salt tongue at depth=700'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sspread, S1, S2, SLev, 700, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Mediterranean salt tongue at depth=1000'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sspread, S1, S2, SLev, 1000, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Mediterranean water at lat=40°N'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sdepth, S1, S2, SLev, 40, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Mediterranean water at lat=38°N'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sdepth, S1, S2, SLev, 38, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Vertical Global mean T & S'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_GlobMeanTS, T1, T2, TLev, S1, S2, SLev, _extra = ex
-
+;
   IF n_elements(htmltxt) GT 1 THEN putfile, psdir+'std_plot_html_body.txt', htmltxt[1:*]
   
Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 4394)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 4395)
@@ -88,23 +88,23 @@
   ICE_S_15 = {arr:ICE_S_15 * 1.e-12, unit : '10^12 m^2'}
   ;
-  title = 'Northern Hemisphere'+'!C'+prefix+' '+d1_d2+'!C'+' Global Annual Mean Ice Area (Black SOLID simulation)'+'!C'+ 'and Extend minus 15% (Blue SOLID simulation)'+'!C'+'Observation (dashed)'
+  title = 'Northern Hemisphere'+'!C'+prefix+' '+d1_d2+'!C'+' Global Annual Mean Ice Area (BLACK)'+'!C'+ 'and Extend minus 15% (BLUE)'+'!C'+'Observation (DASHED)'
   jpt=12
   time=julday(1,15,1900)+30*lindgen(12)
-  pltt, ICE_N, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 4., MAX = 16. $
-        , small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_N_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; dashed lines is LINESTYLE=2  $
-        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
-  pltt, vICE_area_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
-         , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, vICE_ext_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
+  pltt, ICE_N, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, MIN = 4., MAX = 16. $
+       , COLOR = 000 , small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt, ICE_N_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $       ;;; dashed lines is LINESTYLE=2  $
+        , /ov1d, COLOR = 000, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
+  pltt, vICE_area_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-;
-  title ='Southern Hemisphere !C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Area (Black SOLID simulation)'+'!C'+ 'and Extend minus 15% (Blue SOLID simulation)'+'!C'+'Observation (dashed)'
+  pltt, vICE_ext_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $   ;;; dashed lines is LINESTYLE=2  $
+        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+;
+  title ='Southern Hemisphere !C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Area (BLACK)'+'!C'+ 'and Extend minus 15% (BLUE)'+'!C'+'Observation (DASHED)'
   pltt, ICE_S, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 20. $
-        , small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_S_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
-        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
-  pltt,  vICE_area_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
-         , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+        ,COLOR = 000, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt, ICE_S_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
+        , /ov1d, COLOR = 000, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
+  pltt,  vICE_area_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
+         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
   pltt,  vICE_ext_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
@@ -159,26 +159,34 @@
 
 
-  title = 'Northern Hemisphere'+'!C'+prefix+' - '+prefix2+' '+d1_d2_2+'!C'+' Global Annual Mean Ice Area (BLUE)'+'!C'+ 'and Extend minus 15% (RED)'
+  title = 'Northern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2+'!C'+'OBSERVATION (light blue) '+'!C'+' Global Annual Mean Ice Area (CONTINUOUS) '+'!C'+ 'and Extend minus 15% (DASHED)'
   jpt=12
   time=julday(1,15,1900)+30*lindgen(12)
-  pltt, ICE_N.arr - ICE_N2.arr, 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT, window = 2 $
-        , COLOR = 250, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_N_15.arr -  ICE_N2_15.arr , 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
-        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
-;SF  pltt, vICE_area_NH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
-;SF        , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-;SF  pltt, vICE_ext_NH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
-;SF        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-;
-;  title ='Southern Hemisphere'+'!C'+prefix+' - '+prefix2+' '+d1_d2_2+' - '+'!C'+'Global Annual Mean Ice Area (BLUE)'+'!C'+ 'and Extend minus 15% (RED)'
-  title ='Southern Hemisphere'+'!C'
-  pltt, ICE_S.arr - ICE_S2.arr, 't', -2., 2., 19000101, 19001231, /REMPLI, /NOERASE $
-         , COLOR = 250, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_S_15.arr -  ICE_S2_15.arr , 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
-        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-;SF  pltt,  vICE_area_SH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
-;SF         , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-;SF  pltt,  vICE_ext_SH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
-;SF        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt, ICE_N.arr, 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 4., MAX = 16., window = 2 $
+        , COLOR = 000, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex ; BLACK
+  pltt, ICE_N2.arr, 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT, window = 2 $
+        , /ov1d, COLOR = 250, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex  ; RED
+  pltt, ICE_N_15.arr, 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
+        , /ov1d, COLOR = 000, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
+  pltt, ICE_N2_15.arr , 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
+        , /ov1d, COLOR = 250, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt, vICE_area_NH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
+        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex  ; light blue
+  pltt, vICE_ext_NH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
+        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex  ; blu scuro
+;
+  title ='Southern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2+'!C'+'OBSERVATION (light blue) '+'!C'+'Global Annual Mean Ice Area (CONTINUS)'+'!C'+ 'and Extend minus 15% (DASHED)'
+;  title ='Southern Hemisphere'+'!C'
+  pltt, ICE_S.arr, 't', -2., 2., 19000101, 19001231, /REMPLI, /NOERASE, MIN = 0., MAX = 20. $
+         , COLOR = 000, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt, ICE_S2.arr, 't', -2., 2., 19000101, 19001231, /REMPLI, /NOERASE $
+        , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt, ICE_S_15.arr , 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
+        , /ov1d, COLOR = 000, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt, ICE_S2_15.arr , 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
+        , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt,  vICE_area_SH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
+          , /ov1d, COLOR = 100, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt,  vICE_ext_SH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
+        , /ov1d, COLOR = 100, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
 ;
 
Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro	(revision 4394)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro	(revision 4395)
@@ -128,13 +128,18 @@
     if KEYWORD_SET(postscript) then openps, filename+'_2.ps', portrait = 1
 
-    title = 'Fram Strait Areal Export'+'!C'+prefix+' - '+prefix2+' '+d1_d2_2
+    title = 'Fram Strait Areal Export'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2
     jpt=12
     time=julday(1,15,1900)+30*lindgen(12)
-    pltt, ICE_area_export - ICE_area_export_2, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 0., MAX = 2. $
+    pltt, ICE_area_export.arr, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, MIN = 0., MAX = 2., window = 2 $
         , small = [1, 2, 1],YTITLE = '10^6 Km^2/year',  TITLE = title, _extra = ex
+    pltt, ICE_area_export_2.arr ,'t', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $
+        , /ov1d, COLOR = 250, small = [1, 2, 1],YTITLE = '10^6 Km^2/year',  TITLE = title, _extra = ex
     ;
-    title = 'Fram Strait Volume Export'+'!C'+prefix+' - '+prefix2+' '+d1_d2_2
-    pltt, ICE_vol_export - ICE_vol_export_2, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 6. $
+    ;
+    title = 'Fram Strait Volume Export'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2
+    pltt, ICE_vol_export.arr, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 6. $
         , small = [1, 2, 2], YTITLE = '10^3 Km^3/year', TITLE = title, _extra = ex
+    pltt, ICE_vol_export_2.arr, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE  $
+        , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = '10^3 Km^3/year', TITLE = title, _extra = ex
     ;
 
Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vol.pro
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vol.pro	(revision 4394)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vol.pro	(revision 4395)
@@ -62,5 +62,5 @@
   ICE_vol_S = {arr:ICE_vol_S * 1.e-9, unit : '10^9 Km^3'}
   ;
-  title = 'Northern Hemisphere'+'!C'+prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Volume (Black SOLID simulation)'
+  title = 'Northern Hemisphere'+'!C'+prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Volume (BLACK) '
   jpt=12
   time=julday(1,15,1900)+30*lindgen(12)
@@ -68,5 +68,5 @@
         , small = [1, 2, 1], YTITLE = 'Km^3 ', TITLE = title, _extra = ex
 ;
-  title ='Southern Hemisphere' +'!C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Volume (Black SOLID simulation)'
+  title ='Southern Hemisphere' +'!C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Volume (BLACK)'
   pltt, ICE_vol_S, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 11000. $
         , small = [1, 2, 2], YTITLE = 'Km^3 ', TITLE = title, _extra = ex
@@ -109,13 +109,17 @@
     if KEYWORD_SET(postscript) then openps, filename+'_2.ps', portrait = 1
 
-    title = 'Northern Hemisphere'+'!C'+'Global Annual Mean Ice Volume'+prefix+' - '+prefix2+' '+d1_d2_2
+    title = 'Northern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2 +'!C'+'Global Annual Mean Ice Volume (BLACK) '
     jpt=12
     time=julday(1,15,1900)+30*lindgen(12)
-    pltt, ICE_vol_N.arr - ICE_vol_N2.arr, 't', -125., -60., 19000101, 19001231, /REMPLI, /PORTRAIT, window = 2 $
+    pltt, ICE_vol_N.arr, 't', -125., -60., 19000101, 19001231, /REMPLI, /PORTRAIT, MIN = 0., MAX = 30000., window = 2 $
           , small = [1, 2, 1], YTITLE = 'Km^3 ', TITLE = title, _extra = ex
+    pltt, ICE_vol_N2.arr , 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
+        , /ov1d, COLOR = 250, small = [1, 2, 1], YTITLE = 'Km^3 ', TITLE = title, _extra = ex
     ;
-    title = 'Southern Hemisphere'+'!C'+'Global Annual Mean Ice Volume'+prefix+' - '+prefix2+' '+d1_d2_2
-    pltt, ICE_vol_S.arr - ICE_vol_S2.arr, 't', -620., -10., 19000101, 19001231, /REMPLI, /NOERASE $
+    title = 'Southern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2+'!C'+'Global Annual Mean Ice Volume'
+    pltt, ICE_vol_S.arr, 't', -620., -10., 19000101, 19001231, /REMPLI, /NOERASE, MIN = 0., MAX = 11000. $
           , small = [1, 2, 2], YTITLE = 'Km^3 ', TITLE = title, _extra = ex   
+    pltt, ICE_vol_S2.arr, 't', -620., -10., 19000101, 19001231, /REMPLI, /NOERASE $
+          , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = 'Km^3 ', TITLE = title, _extra = ex   
 
     htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'_2.png  />  ' ]
Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh	(revision 4394)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh	(revision 4395)
@@ -18,6 +18,6 @@
 idl_command=/Applications/itt/idl64/bin/idl
 #
-PS_DIR=$( pwd )/ts_500yfwb2_ps
-PDF_DIR=$( pwd )/ts_500yfwb2_pdf
+PS_DIR=$( pwd )/ts_sbcmodMV_l334plus_ps
+PDF_DIR=$( pwd )/ts_sbcmodMV_l334plus_pdf
 HTML_DIR=$( pwd )/html
 SAXO_DIR=/Users/sflod/SAXO_DIR
@@ -52,35 +52,37 @@
 READ_ONLY_FIRST_RECORD=0   # if 0 then read all records in files else read only the first reacord in each file
 #
-DATE1=20010101   ;   DATE2=25001231
+#DATE1=20010101   ;   DATE2=25001231
+DATE1=20410101   ;   DATE2=20501231
 #DATE1=00010101  		;   DATE2=00101231
 #
-VAR1_T=votemper         ;   V1T_PREF=500yfwb2      ;   V1T_SUFF=_1Y_grid_T.nc
-VAR1_S=vosaline         ;   V1S_PREF=500yfwb2      ;   V1S_SUFF=_1Y_grid_T.nc
-VAR1_SSH=sossheig       ;   V1SSH_PREF=500yfwb2    ;   V1SSH_SUFF=_1Y_grid_T.nc
-VAR1_Q=sohflxdo         ;   V1Q_PREF=500yfwb2      ;   V1Q_SUFF=_1Y_grid_T.nc
-VAR1_EMP=sowaflup       ;   V1EMP_PREF=500yfwb2    ;   V1EMP_SUFF=_1Y_grid_T.nc
-VAR1_U=vozoeftr         ;   V1U_PREF=500yfwb2      ;   V1U_SUFF=_1Y_grid_U.nc
-VAR1_V=vomeeftr         ;   V1V_PREF=500yfwb2      ;   V1V_SUFF=_1Y_grid_V.nc
-VAR1_ICE=iiceconc       ;   V1ICE_PREF=500yfwb2    ;   V1ICE_SUFF=_1M_icemod.nc
-VAR1_Ithick=iicethic    ;   V1It_PREF=500yfwb2     ;   V1It_SUFF=_1M_icemod.nc
-VAR1_SNOW=isnowthi      ;   V1SNOW_PREF=500yfwb2   ;   V1SNOW_SUFF=_1M_icemod.nc
-VAR1_IvelV=iicevelv     ;   V1IvV_PREF=500yfwb2    ;   V1IvV_SUFF=_1M_icemod.nc
+VAR1_T=thetao        ;   V1T_PREF=sbcmodMV      ;   V1T_SUFF=_1Y_grid_T.nc
+VAR1_S=so            ;   V1S_PREF=sbcmodMV      ;   V1S_SUFF=_1Y_grid_T.nc
+VAR1_SSH=zos         ;   V1SSH_PREF=sbcmodMV    ;   V1SSH_SUFF=_1Y_grid_T.nc
+VAR1_Q=tohfls        ;   V1Q_PREF=sbcmodMV      ;   V1Q_SUFF=_1Y_grid_T.nc
+VAR1_EMP=wfo         ;   V1EMP_PREF=sbcmodMV    ;   V1EMP_SUFF=_1Y_grid_T.nc
+VAR1_U=uocetr_eff    ;   V1U_PREF=sbcmodMV      ;   V1U_SUFF=_1Y_grid_U.nc
+VAR1_V=vocetr_eff    ;   V1V_PREF=sbcmodMV      ;   V1V_SUFF=_1Y_grid_V.nc
+VAR1_ICE=siconc      ;   V1ICE_PREF=sbcmodMV    ;   V1ICE_SUFF=_1M_icemod.nc
+VAR1_Ithick=sithic   ;   V1It_PREF=sbcmodMV     ;   V1It_SUFF=_1M_icemod.nc
+VAR1_SNOW=sndept     ;   V1SNOW_PREF=sbcmodMV   ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_IvelV=sivelv    ;   V1IvV_PREF=sbcmodMV    ;   V1IvV_SUFF=_1M_icemod.nc
 #
 #===================== EXP2 =====================
 #
 #DATE1_2=20010101   ;   DATE2_2=20101231
-DATE1_2=20010101   ;   DATE2_2=25001231
+DATE1_2=20410101   ;   DATE2_2=20501231
+#DATE1_2=20010101   ;   DATE2_2=25001231
 #
-VAR2_T=votemper         ;   V2T_PREF=500yfwb2      ;   V2T_SUFF=_1Y_grid_T.nc
-VAR2_S=vosaline         ;   V2S_PREF=500yfwb2      ;   V2S_SUFF=_1Y_grid_T.nc
-VAR2_SSH=sossheig       ;   V2SSH_PREF=500yfwb2    ;   V2SSH_SUFF=_1Y_grid_T.nc
-VAR2_Q=sohflxdo         ;   V2Q_PREF=500yfwb2      ;   V2Q_SUFF=_1Y_grid_T.nc
-VAR2_EMP=sowaflup       ;   V2EMP_PREF=500yfwb2    ;   V2EMP_SUFF=_1Y_grid_T.nc
-VAR2_U=vozoeftr         ;   V2U_PREF=500yfwb2      ;   V2U_SUFF=_1Y_grid_U.nc
-VAR2_V=vomeeftr         ;   V2V_PREF=500yfwb2      ;   V2V_SUFF=_1Y_grid_V.nc
-VAR2_ICE=iiceconc       ;   V2ICE_PREF=500yfwb2    ;   V2ICE_SUFF=_1M_icemod.nc
-VAR2_Ithick=iicethic    ;   V2It_PREF=500yfwb2     ;   V2It_SUFF=_1M_icemod.nc
-VAR2_SNOW=isnowthi      ;   V2SNOW_PREF=500yfwb2   ;   V2SNOW_SUFF=_1M_icemod.nc
-VAR2_IvelV=iicevelv     ;   V2IvV_PREF=500yfwb2    ;   V2IvV_SUFF=_1M_icemod.nc
+VAR2_T=thetao      ;   V2T_PREF=l334plus      ;   V2T_SUFF=_1Y_grid_T.nc
+VAR2_S=so          ;   V2S_PREF=l334plus      ;   V2S_SUFF=_1Y_grid_T.nc
+VAR2_SSH=zos       ;   V2SSH_PREF=l334plus    ;   V2SSH_SUFF=_1Y_grid_T.nc
+VAR2_Q=tohfls      ;   V2Q_PREF=l334plus      ;   V2Q_SUFF=_1Y_grid_T.nc
+VAR2_EMP=wfo       ;   V2EMP_PREF=l334plus    ;   V2EMP_SUFF=_1Y_grid_T.nc
+VAR2_U=uocetr_eff  ;   V2U_PREF=l334plus      ;   V2U_SUFF=_1Y_grid_U.nc
+VAR2_V=vocetr_eff  ;   V2V_PREF=l334plus      ;   V2V_SUFF=_1Y_grid_V.nc
+VAR2_ICE=siconc    ;   V2ICE_PREF=l334plus    ;   V2ICE_SUFF=_1M_icemod.nc
+VAR2_Ithick=sithic ;   V2It_PREF=l334plus     ;   V2It_SUFF=_1M_icemod.nc
+VAR2_SNOW=sndept   ;   V2SNOW_PREF=l334plus   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_IvelV=sivelv  ;   V2IvV_PREF=sbcmodMV    ;   V2IvV_SUFF=_1M_icemod.nc
 #
 ######################### Export Variables ###############################
@@ -115,16 +117,19 @@
 export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
 export VAR1_IvelV   V1IvV_PREF   V1IvV_PREF
+export VAR2_IvelV   V2IvV_PREF  V2IvV_PREF
+
 #===================== EXP2 =====================
 export DATE1_2      DATE2_2
-export VAR2_T       V2T_PREF     V2T_SUFF
-export VAR2_S       V2S_PREF     V2S_SUFF
-export VAR2_SSH     V2SSH_PREF   V2SSH_SUFF
-export VAR2_Q       V2Q_PREF     V2Q_SUFF
-export VAR2_EMP     V2EMP_PREF   V2EMP_SUFF
-export VAR2_U       V2U_PREF     V2U_SUFF
-export VAR2_V       V2V_PREF     V2V_SUFF
-export VAR2_ICE     V2ICE_PREF   V2ICE_SUFF
-export VAR2_Ithick  V2It_PREF    V2It_SUFF
-export VAR2_SNOW    V2SNOW_PREF  V2SNOW_SUFF
-export VAR2_IvelV   V2IvV_PREF   V2IvV_PREF
+export VAR2_T       V2T_PREF    V2T_SUFF
+export VAR2_S       V2S_PREF    V2S_SUFF
+export VAR2_SSH     V2SSH_PREF  V2SSH_SUFF
+export VAR2_Q       V2Q_PREF    V2Q_SUFF
+export VAR2_EMP     V2EMP_PREF  V2EMP_SUFF
+export VAR2_U       V2U_PREF    V2U_SUFF
+export VAR2_V       V2V_PREF    V2V_SUFF
+export VAR2_ICE     V2ICE_PREF  V2ICE_SUFF
+export VAR2_Ithick  V2It_PREF   V2It_SUFF
+export VAR2_SNOW    V2SNOW_PREF V2SNOW_SUFF
+export VAR2_IvelV   V2IvV_PREF  V2IvV_PREF
+
 #